Subject: bug#10823: closed (Re: bug#10823: 24.0.93; Make `C-h d' reporting more consistent and usable)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 15 Nov 2013 04:36:02 +0000

Your bug report

#10823: 24.0.93; Make `C-h d' reporting more consistent and usable

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
10823: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=10823
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#10823: 24.0.93; Make `C-h d' reporting more consistent and usable
From: Jambunathan K <[email-masked]>
To: [email-masked]
Date: Fri, 15 Nov 2013 10:05:11 +0530
List-Id: <debbugs-submit.debbugs.gnu.org>

OP here.  Closing it.

Subject: 24.0.93; Make `C-h d' reporting more consistent and usable
From: Jambunathan K <[email-masked]>
To: [email-masked]
Date: Thu, 16 Feb 2012 10:33:42 +0530
List-Id: <debbugs-submit.debbugs.gnu.org>

I find that C-h d gives me a fairly good coverage of a particular
"feature" that I am trying to hunt down. Unfortunately for the amount of
information that it prints, the navigation of the *Apropos* buffer is
cumbersome.

Let me explain with an explain. Down below is a snapshot of first few
paragraphs when I do a

  C-h d apropos

Here are a few things that I find noisome. These are documented in the
text below.

----------------
apropos-read-pattern
  Function: Read an apropos pattern, either a word list or a regexp.

<<Big wall of text>>

(fn SUBJECT) 

,---- ^^^^^^^^^^^^^^
| By the time I reach here, I have almost forgotten what "fn" I am looking
| at. I also find this style of reporting inconsisten with C-h v and C-h f
| style of reporting where the function signature is on the top.
`----

----------------

,---- ^^^^^^^^^^^^^^
| Can these separators be converted to page breaks? So that I can move
| between the different blocks using page navigation commands. Doing a
| incremental re-search for -----+ is painful particularly when some of
| the listed commands that have docstring which have horizontal rules in
| them.
`----

apropos
  Command: Show all meaningful Lisp symbols whose names match PATTERN.

<<Another big wall of text>>

(fn PATTERN &optional DO-ALL)

----------------
apropos-command
  Command: Show commands (interactively callable functions) that match
           PATTERN.

,----[ C-h v internal-doc-file-name RET ]
| internal-doc-file-name is a variable defined in `C source code'.
| Its value is "DOC-X"
| 
| Documentation:
| Name of file containing documentation strings of built-in symbols.
| 
| [back]
`----

,----
| Can someone clarify what the file is and what qualifies as "built-in"
| symbols. Does it include the "whole" of what ships with vanilla Emacs or
| just a subset of it. I tried looking around in the info manual. I found
| nothing much which could give me a sense of "coverage" of the reported
| list.
`----